Bug 468442 - LSPP labels are not on output when CUPS is in configure in LSPP mode
LSPP labels are not on output when CUPS is in configure in LSPP mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 14:37 EDT by Matt Anderson
Modified: 2009-01-15 18:42 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.9-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 05:59:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Anderson 2008-10-24 14:37:10 EDT
Description of problem:
Printouts do not have the correct banners on them.  The banner has a leading 'LSPP:' and it does not wrap when the label is too long.

Version-Release number of selected component (if applicable):
cups-1.3.9-1

How reproducible:
Whenever cups is configured to be in LSPP mode

Steps to Reproduce:
1. Set CLASSIFICATION to selinux in /etc/cups/cupsd.conf
2. restart the cups service
3. print something, it won't have the proper banners
  
Actual results:
A printout without the proper security label.

Expected results:
The printout should have a per page security label.

Additional info:
filter/common.c has a write_label_prolog() which used to be called by pstops.c, now pstops.c has its own WriteLabelProlog() which also need to be patched.
Comment 1 Tim Waugh 2008-10-30 10:43:57 EDT
Thanks for the report.  I've built a cups-1.3.9-3.fc10 package here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=68106

It seems to behave correctly for me.  Are you able to test these packages?  Fedora 10 is frozen now but I'd like to get this fix in an update.
Comment 2 Matt Anderson 2008-10-30 13:38:16 EDT
This updated build fixes the issue.
Comment 3 Bug Zapper 2008-11-25 23:12:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tim Waugh 2008-12-15 05:59:58 EST
This was fixed in:
  https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11118

Note You need to log in before you can comment on or make changes to this bug.